%define	lang	ru
%define	name	app-defaults-%{lang}
%define	version	0.1
%define	release	9mdk

Summary:	X Resources for russification of some applications
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
Source0:	%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch
Requires:	XFree86
Requires:	locales-%{lang}

%description
X Resources for russification of some applications like xman, xedit

%prep
%setup -q

%build
rm -f Netscape

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{lang}/app-defaults
cp -pf * $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{lang}/app-defaults
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/
ln -s %{_sysconfdir}/X11/%{lang} $RPM_BUILD_ROOT%{_prefix}/X11R6/%{_lib}/X11/%{lang}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%dir %{_sysconfdir}/X11/%{lang}
%dir %{_sysconfdir}/X11/%{lang}/app-defaults
%config %{_sysconfdir}/X11/%{lang}/app-defaults/*
%{_prefix}/X11R6/%{_lib}/X11/%{lang}

# there may be a %{_prefix}/X11R6/%{_lib}/X11/%{lang}/ dir already
%pre
if [ -d %{_prefix}/X11R6/%{_lib}/X11/%{lang} -a ! -L %{_prefix}/X11R6/%{_lib}/X11/%{lang} ];
then
	mkdir -p %{_sysconfdir}/X11/%{lang}/app-defaults
	cp -far %{_prefix}/X11R6/%{_lib}/X11/%{lang}/app-defaults/* \
		%{_sysconfdir}/X11/%{lang}/app-defaults
	rmdir -rf %{_prefix}/X11R6/%{_lib}/X11/%{lang}
fi

%changelog
* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-9mdk
- s/Copyright/License
- quiet setup
- macroize
- rebuild
- cosmetics
- fix symlink-should-be-absolute

* Fri Aug 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- moved files to /etc/X11

* Fri Aug 17 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- moved files to /etc/X11

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1-6mdk
- Use %%_tmppath for BuildRoot

* Thu Jun 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-5mdk
- added requires: locales-xx, and included the specific dirs in the package
- removed file 'Netscape' as it is not translated and may conflict
  with a future netscape-xxxx translation

* Mon Jan 10 2000 AEN <aen@logic.ru> 0.1-ipl4mdk
- Ted.ad changed

* Thu Nov 25 1999 AEN <aen@logic.ru>
- Xman added 

* Mon Nov 15 1999 AEN <aen@logic.ru>
- first spec
